Bug 216943 - [exp-run] conditionalize inclusion of firebird25 for various tier-2 archs
Summary: [exp-run] conditionalize inclusion of firebird25 for various tier-2 archs
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D14326
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-09 17:32 UTC by Mark Linimon
Modified: 2019-05-25 18:55 UTC (History)
4 users (show)

See Also:
linimon: exp-run?


Attachments
patch for qt4 fixes (3.09 KB, patch)
2017-02-09 17:32 UTC, Mark Linimon
no flags Details | Diff
revised patch for qt4 fixes (2.11 KB, patch)
2017-05-14 06:55 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2017-02-09 17:32:33 UTC
Created attachment 179800 [details]
patch for qt4 fixes

databases/firebird25-server is a dependency of most qt4 ports.  However, it does not build on several tier-2 archs.

The following patch conditionalizes its dependency so that various qt4 ports are unblocked, especially on armv6.

I have been able to build the following on armv6:

accessibility/qt4-accessible    
databases/qt4-mysql-plugin      
devel/qt4-help  
devel/qt4-help-tools    
devel/qt4-makeqpf       
devel/qt4-qdbusviewer   
devel/qt4-qdoc3 
devel/qt4-qt3support    
devel/qt4-qvfb  
devel/qt4-uic3  
graphics/qt4-iconengines        
graphics/qt4-imageformats       
graphics/qt4-opengl     
graphics/qt4-pixeltool  
graphics/qt4-svg        
multimedia/qt4-multimedia       
x11-toolkits/qt4-gui    
x11/qt4-graphicssystems-opengl  
x11/qt4-inputmethods

The patch seems harmless on amd64.
Comment 1 Mathieu Arnold freebsd_committer 2017-02-12 14:57:25 UTC
For databases/soci, you should leave the OPTIONS_DEFAULT alone and only set OPTIONS_EXCLUDE_arch, it would do the same thing.

Also, I do not understand the statement about OPTIONS_INCLUDE, there is no such thing as OPTIONS_INCLUDE.
Comment 2 commit-hook freebsd_committer 2017-05-14 06:52:28 UTC
A commit references this bug:

Author: linimon
Date: Sun May 14 06:52:09 UTC 2017
New revision: 440865
URL: https://svnweb.freebsd.org/changeset/ports/440865

Log:
  Disable dependency on firebird for tier-2 archs.  There is work underway
  to fix firebird on those archs but it is not complete.

  This unbreaks several dozen ports on tier-2.

  PR:		216943
  Submitted by:	linimon
  Reviewed by:	mat (only this file)

Changes:
  head/databases/soci/Makefile
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2017-05-14 06:55:50 UTC
Created attachment 182581 [details]
revised patch for qt4 fixes

Updated patch with databases/soci removed.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2017-05-14 06:56:51 UTC
After testing the suggested revision to the databases/soci patch on both amd64 and powerpc64, I have committed it.

I would still like to see an -exp run for the remaining parts of the patch.
Comment 5 Adriaan de Groot freebsd_committer 2018-02-11 22:01:46 UTC
r441257 | jkim | 2017-05-19 20:42:01 +0200 (Fri, 19 May 2017) | 5 lines

That commit dropped firebird from USES, so that part no longer applies. The qt4 bits I've put in a review for commit.
Comment 6 commit-hook freebsd_committer 2018-03-02 13:08:06 UTC
A commit references this bug:

Author: adridg
Date: Fri Mar  2 13:07:57 UTC 2018
New revision: 463394
URL: https://svnweb.freebsd.org/changeset/ports/463394

Log:
  Disable Qt4 sql-ibase plugin on not-(i386|amd64)

  ibase is Firebird, which only builds on i386 and amd64. This patch
  squashes the ibase plugin for Qt4.

  PR:		216943
  Submitted by:	linimon
  Reported by:	linimon
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D14326

Changes:
  head/Mk/bsd.qt.mk
  head/databases/qt4-ibase-plugin/Makefile
  head/devel/qt4/Makefile
Comment 7 Adriaan de Groot freebsd_committer 2018-03-02 13:28:28 UTC
With the qt4 patch committed (thanks linimon@), and I've done the same for Qt5, this PR can probably be closed.